﻿$ErrorActionPreference = 'Stop'

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    url            = 'https://update.gitter.im/win/GitterSetup-4.0.0.exe'
    checksum       = 'de9396050529bf273c513464bd1ed3329b268cfe15344d2803f5907b12f4e78e'
    checksumType   = 'sha256'
    fileType       = 'EXE'
    silentArgs     = "/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP- /DIR=$env:chocolateyPackageFolder"
    validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs

# Create a shim ignore file ignore
New-Item -Name 'gitter.exe.ignore' -Path (Split-Path -Path $toolsDir -Parent) -ItemType File -ErrorAction SilentlyContinue | Out-Null

# Start Menu shortcuts are created under the admin account - move them to All Users start menu
Move-Item -Path (Join-Path -Path ([Environment]::GetFolderPath('Programs')) -ChildPath 'Gitter') `
    -Destination ([Environment]::GetFolderPath('CommonPrograms')) -Force
